curl --request POST \
--url https://api.satora.io/api/swap/{id}/collab-refund-evm \
--header 'Content-Type: application/json' \
--data '
{
"depositor_address": "<string>",
"r": "<string>",
"s": "<string>",
"v": 1
}
'import requests
url = "https://api.satora.io/api/swap/{id}/collab-refund-evm"
payload = {
"depositor_address": "<string>",
"r": "<string>",
"s": "<string>",
"v": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({depositor_address: '<string>', r: '<string>', s: '<string>', v: 1})
};
fetch('https://api.satora.io/api/swap/{id}/collab-refund-evm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.satora.io/api/swap/{id}/collab-refund-evm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'depositor_address' => '<string>',
'r' => '<string>',
's' => '<string>',
'v' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.satora.io/api/swap/{id}/collab-refund-evm"
payload := strings.NewReader("{\n \"depositor_address\": \"<string>\",\n \"r\": \"<string>\",\n \"s\": \"<string>\",\n \"v\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.satora.io/api/swap/{id}/collab-refund-evm")
.header("Content-Type", "application/json")
.body("{\n \"depositor_address\": \"<string>\",\n \"r\": \"<string>\",\n \"s\": \"<string>\",\n \"v\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.satora.io/api/swap/{id}/collab-refund-evm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"depositor_address\": \"<string>\",\n \"r\": \"<string>\",\n \"s\": \"<string>\",\n \"v\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"message": "<string>",
"tx_hash": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Collaboratively refund an EVM HTLC before timelock expiry.
The client signs a coordinator-level CollabRefund EIP-712 message authorizing
the refund parameters. The server cosigns with an HTLC-level Refund signature
(as claimAddress, waiving the timelock) and submits the transaction on-chain.
Supports EVM-to-Arkade, EVM-to-Bitcoin, and EVM-to-Lightning swaps.
curl --request POST \
--url https://api.satora.io/api/swap/{id}/collab-refund-evm \
--header 'Content-Type: application/json' \
--data '
{
"depositor_address": "<string>",
"r": "<string>",
"s": "<string>",
"v": 1
}
'import requests
url = "https://api.satora.io/api/swap/{id}/collab-refund-evm"
payload = {
"depositor_address": "<string>",
"r": "<string>",
"s": "<string>",
"v": 1
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({depositor_address: '<string>', r: '<string>', s: '<string>', v: 1})
};
fetch('https://api.satora.io/api/swap/{id}/collab-refund-evm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.satora.io/api/swap/{id}/collab-refund-evm",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'depositor_address' => '<string>',
'r' => '<string>',
's' => '<string>',
'v' => 1
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.satora.io/api/swap/{id}/collab-refund-evm"
payload := strings.NewReader("{\n \"depositor_address\": \"<string>\",\n \"r\": \"<string>\",\n \"s\": \"<string>\",\n \"v\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.satora.io/api/swap/{id}/collab-refund-evm")
.header("Content-Type", "application/json")
.body("{\n \"depositor_address\": \"<string>\",\n \"r\": \"<string>\",\n \"s\": \"<string>\",\n \"v\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.satora.io/api/swap/{id}/collab-refund-evm")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"depositor_address\": \"<string>\",\n \"r\": \"<string>\",\n \"s\": \"<string>\",\n \"v\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"message": "<string>",
"tx_hash": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Path Parameters
Swap ID
Body
Request for collaborative refund of an EVM HTLC.
On-chain depositor address (the address that funded the HTLC via the coordinator). In the Permit2 flow this is a derived key, not the user's wallet address. Required so the server can sign the correct HTLC refund digest.
EIP-712 signature r (32-byte hex string, with or without 0x prefix)
EIP-712 signature s (32-byte hex string, with or without 0x prefix)
EIP-712 signature v (depositor's coordinator-level signature)
x >= 0